#pragma once

#include <QDialog>
#include "ui_MaterialPresetDlg.h"

#include <C2/graph/MaterialSamples.h>


class MaterialPresetDlg : public QDialog
{
	Q_OBJECT

public:
	MaterialPresetDlg(QWidget *parent = 0);
	~MaterialPresetDlg();

	lib_graph::MaterialSamples::MaterialSampleType GetSelectedType();

private:
	void AssignSlots();

private slots:
	void on_buttonBox_accepted();
	void on_buttonBox_rejected();

	void onRadioClicked();

signals:
	void OnMatChanged();

private:
	Ui::MaterialPresetDlg ui;

	QVector<QRadioButton*> allRadios;
};
